Channels

  • List channels

  • Bulk retrieve channels

  • Retrieve channel

Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

<- Channels API

Channels API

All versions ->

Retrieve channelBeta

GET

 /v2/channels/{channel_id}

Guide

Retrieve a channel

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

channel_id

string

Required

A channel id

Link to section

Response fields

Link to section

errors

Information about errors encountered during the request.

Link to section

channel

The requested Channel.

Link to section

Examples

All versions ->

GET /v2/channels/{channel_id}
curl https://connect.squareup.com/v2/channels/CH_9C03D0B59 \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "channel": { "id": "CH_9C03D0B59", "merchant_id": "ML64FACEA", "name": "Contoso Fulfillment Application", "status": "ACTIVE", "version": 1, "reference": { "type": "OAUTH_APPLICATION", "id": "OA_9C03D0444" }, "created_at": "2022-10-25T16:27:00Z", "updated_at": "2022-10-25T16:48:00Z" } }